import { IWebRuntimeAppData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { BuildAppProps } from '../core/index';
import { IPlatformApp } from '@cloudbase/cals';
import { ICDN_ENDPOINTS_COFIG } from '../config';
interface IWebpackCoreProps extends BuildAppProps {
    cals: IPlatformApp;
    appBuildDir: string;
    mainAppData: IWebRuntimeAppData;
    subAppDataList: IWebRuntimeAppData[];
    assets: string[];
    cdnEndpoints?: ICDN_ENDPOINTS_COFIG;
}
export declare function runWebpackCore({ cals, mainAppData, subAppDataList, appBuildDir, publicPath, mode, appKey, buildTypeList, assets, devTool, generateMpType, cdnEndpoints, }: IWebpackCoreProps): Promise<string>;
export {};
